require 'spec_helper'

describe Numeric do

  it "delegates missing method calls to the Metamorphosis::Engine" do
    engine = Metamorphosis::Engine.instance
    engine.should_receive(:numeric_to_unit_value).with(1.3, :J).
      and_return('eureka!')

    1.3.J.should == 'eureka!'
  end

  it "raises a method not found exception when the engine returns an empty result" do
    engine = Metamorphosis::Engine.instance
    engine.should_receive(:numeric_to_unit_value).with(1.3, :J).
      and_return(nil)
    expect{ 1.3.J }.to raise_error(NoMethodError)
  end

end

